Skip to content

SonaConvertUserToSSOByUserID

Description

This API converts a non-SSO user to an SSO user using the user_id of the user as the identifier.

Input Parameters

Below are the following input parameters for use with the SonaConvertUserToSSOByUserID API function.

Parameter Description / Possible Values
api_key Use API key generated for Sona admin user
user_id The user ID to convert to SSO (e.g. someuser)
sso_id The SSO ID of the user (e.g. someuser @myschool.edu)

Output Parameters

Will return True if converted else errors.

Error Codes

Below are the possible error messages encountered and their respective descriptions.

Error Type Error Code Description
Authentication Failed -1 through -7 Standard authentication errors
Error Code -8 sso_id already exists
Error Code -9 Invalid SSO ID
Error Code -10 user_id does not exist
Error Code -11 Invalid user_id

Sample Input

Request URL

https://myschool.sona-systems.com/services/SonaAPI.svc/SonaConvertUserToSSOByUserID?api_key=YOUR_API_KEY&user_id=auser&sso_id=[email protected]

URL components

Component Value
Scheme https
Host myschool.sona-systems.com
Service path /services/SonaAPI.svc
Function SonaConvertUserToSSOByUserID

Query parameters

api_key = YOUR_API_KEY
user_id = auser
sso_id = [email protected]

Sample Output

<SonaConvertUserToSSOByUserIDResponse
  xmlns="https://www.sona-systems.com/"
  xmlns:a="http://schemas.datacontract.org/2004/07/emsdotnet.sonasystems"
  xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <SonaConvertUserToSSOByUserIDResult>
    <a:Errors i:nil="true" />
    <a:Result>true</a:Result>
  </SonaConvertUserToSSOByUserIDResult>
</SonaConvertUserToSSOByUserIDResponse>